Passer au contenu principal
PUT
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
/
{functionId}
Mise à jour d'une fonction pour une définition
curl --request PUT \
  --url https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}/{functionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: text/plain' \
  --data '<string>'
{
  "id": "<string>"
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

appId
integer<int32>
requis

L’ID de l’application associée à l’action de workflow personnalisée.

definitionId
string
requis

L'ID de la définition d'action de workflow personnalisée.

functionId
string
requis

L'ID de la fonction spécifique au sein de la définition de l'action de workflow.

functionType
enum<string>
requis

Le type de fonction, les valeurs acceptées sont : POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Options disponibles:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

Corps

text/plain

The body is of type string.

Réponse

successful operation

functionType
enum<string>
requis

Le type de fonction, avec les valeurs acceptées : POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Options disponibles:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS
id
string

L'identifiant unique de la fonction.

Dernière modification le 13 avril 2026